PP-Module for Intrusion Prevention Systems (IPS), Version 1.0

Profile details

Status active
Valid from 11.05.2021
Valid until N/A
Scheme 🇺🇸 US
Category Boundary Protection Devices and Systems
Security level EAL1

Certification report

Extracted keywords

Protocols
VPN

Security Assurance Requirements (SAR)
ACE_INT, ACE_CCL, ACE_SPD, ACE_OBJ, ACE_ECD, ACE_REQ, ACE_MCO, ACE_CCO.1, APE_INT.1, APE_SPD.1, APE_OBJ.2, APE_ECD.1, APE_REQ.2, APE_INT, APE_SPD, APE_OBJ, APE_ECD, APE_REQ
Evaluation facilities
Lightship Security

Standards
ISO/IEC 17025

Protection profile

Extracted keywords

Schemes
MAC
Protocols
VPN

Claims
O.IPS_ANALYZE, O.IPS_REACT, O.SYSTEM_MONITORING, O.TOE_ADMINISTRATION, T.NETWORK_ACCESS, T.NETWORK_DISCLOSURE, T.NETWORK_DOS, T.NETWORK_MISUSE, T.UNAUTHORIZED_ADMINISTRATOR_ACCESS, A.NO_THRU_TRAFFIC_PROTECTION, A.CONNECTIONS, OE.NO_THRU_TRAFFIC_PROTECTION, OE.CONNECTIONS
Security Functional Requirements (SFR)
FAU_GEN, FAU_STG, FAU_STG.4, FAU_ARP.1, FAU_SAR.1, FAU_SAR.2, FAU_SAR.3, FAU_STG_EXT.1, FAU_GEN.1, FAU_STG.1, FAU_STG.4.1, FAU_ARP.1.1, FAU_ARP, FAU_SAA, FAU_SAR.1.1, FAU_SAR.1.2, FAU_SAR.2.1, FAU_SAR.3.1, FAU_SAA.1, FCO_CPC_EXT.1, FMT_SMF, FMT_SMF.1, FMT_SMR.2, FMT_SMR.1, FPT_FLS.1, FPT_ITT.1, FPT_FLS.1.1, FPT_STM.1, FPT_STM_EXT.1, FRU_RSA.1, FRU_RSA, FRU_RSA.1.1, FTP_ITC, FTP_TRP, FTP_ITC.1.3, FTP_ITC.1

Standards
RFC 791, RFC 2460, RFC 792, RFC 2463, RFC 793, RFC 768, CCMB-2070-04-001, CCMB-2017-04-002, CCMB-2017-04-003

References

Automated inference - use with caution

All attributes shown in this section (e.g., links between certificates, products, vendors, and known CVEs) are generated by automated heuristics and have not been reviewed by humans. These methods can produce false positives or false negatives and should not be treated as definitive without independent verification. If you want to know more about how this data is computed and how reliable it is, see our documentation on automated analysis. If you believe any information here is inaccurate or harmful, please submit feedback.

Processing updates

Feed
  • The protection profile data changed.
  • The protection profile data changed.
  • The protection profile data changed.
  • The protection profile data changed.
  • The protection profile data changed.
  • The protection profile was first processed.

Raw data

{
  "_id": "6448a1802bb874d8",
  "_type": "sec_certs.sample.protection_profile.ProtectionProfile",
  "dgst": "6448a1802bb874d8",
  "heuristics": {
    "_type": "sec_certs.sample.protection_profile.ProtectionProfile.Heuristics"
  },
  "pdf_data": {
    "_type": "sec_certs.sample.protection_profile.ProtectionProfile.PdfData",
    "pp_filename": "MOD_IPS_v1.0.pdf",
    "pp_keywords": {
      "asymmetric_crypto": {},
      "cc_cert_id": {},
      "cc_claims": {
        "A": {
          "A.CONNECTIONS": 3,
          "A.NO_THRU_TRAFFIC_PROTECTION": 1
        },
        "O": {
          "O.IPS_ANALYZE": 13,
          "O.IPS_REACT": 7,
          "O.SYSTEM_MONITORING": 11,
          "O.TOE_ADMINISTRATION": 4
        },
        "OE": {
          "OE.CONNECTIONS": 3,
          "OE.NO_THRU_TRAFFIC_PROTECTION": 1
        },
        "T": {
          "T.NETWORK_ACCESS": 2,
          "T.NETWORK_DISCLOSURE": 5,
          "T.NETWORK_DOS": 5,
          "T.NETWORK_MISUSE": 5,
          "T.UNAUTHORIZED_ADMINISTRATOR_ACCESS": 1
        }
      },
      "cc_protection_profile_id": {},
      "cc_sar": {},
      "cc_security_level": {},
      "cc_sfr": {
        "FAU": {
          "FAU_ARP": 2,
          "FAU_ARP.1": 12,
          "FAU_ARP.1.1": 1,
          "FAU_GEN": 17,
          "FAU_GEN.1": 6,
          "FAU_SAA": 2,
          "FAU_SAA.1": 2,
          "FAU_SAR.1": 5,
          "FAU_SAR.1.1": 1,
          "FAU_SAR.1.2": 1,
          "FAU_SAR.2": 5,
          "FAU_SAR.2.1": 1,
          "FAU_SAR.3": 5,
          "FAU_SAR.3.1": 1,
          "FAU_STG": 6,
          "FAU_STG.1": 2,
          "FAU_STG.4": 6,
          "FAU_STG.4.1": 1,
          "FAU_STG_EXT.1": 3
        },
        "FCO": {
          "FCO_CPC_EXT.1": 1
        },
        "FMT": {
          "FMT_SMF": 8,
          "FMT_SMF.1": 1,
          "FMT_SMR.1": 1,
          "FMT_SMR.2": 2
        },
        "FPT": {
          "FPT_FLS.1": 6,
          "FPT_FLS.1.1": 1,
          "FPT_ITT.1": 1,
          "FPT_STM.1": 2,
          "FPT_STM_EXT.1": 1
        },
        "FRU": {
          "FRU_RSA": 1,
          "FRU_RSA.1": 8,
          "FRU_RSA.1.1": 1
        },
        "FTP": {
          "FTP_ITC": 1,
          "FTP_ITC.1": 3,
          "FTP_ITC.1.3": 1,
          "FTP_TRP": 1
        }
      },
      "certification_process": {},
      "cipher_mode": {},
      "cplc_data": {},
      "crypto_engine": {},
      "crypto_library": {},
      "crypto_protocol": {
        "VPN": {
          "VPN": 1
        }
      },
      "crypto_scheme": {
        "MAC": {
          "MAC": 3
        }
      },
      "device_model": {},
      "ecc_curve": {},
      "eval_facility": {},
      "hash_function": {},
      "ic_data_group": {},
      "javacard_api_const": {},
      "javacard_packages": {},
      "javacard_version": {},
      "os_name": {},
      "pq_crypto": {},
      "randomness": {},
      "side_channel_analysis": {},
      "standard_id": {
        "CC": {
          "CCMB-2017-04-002": 1,
          "CCMB-2017-04-003": 1,
          "CCMB-2070-04-001": 1
        },
        "RFC": {
          "RFC 2460": 1,
          "RFC 2463": 1,
          "RFC 768": 1,
          "RFC 791": 1,
          "RFC 792": 1,
          "RFC 793": 1
        }
      },
      "symmetric_crypto": {},
      "technical_report_id": {},
      "tee_name": {},
      "tls_cipher_suite": {},
      "vendor": {},
      "vulnerability": {}
    },
    "pp_metadata": {
      "/Author": "Patin, Pascal B. [US-US]",
      "/CreationDate": "D:20210517142009-04\u002700\u0027",
      "/Creator": "Microsoft\u00ae Word for Microsoft 365",
      "/ModDate": "D:20210517142009-04\u002700\u0027",
      "/Producer": "Microsoft\u00ae Word for Microsoft 365",
      "pdf_file_size_bytes": 714602,
      "pdf_hyperlinks": {
        "_type": "Set",
        "elements": []
      },
      "pdf_is_encrypted": false,
      "pdf_number_of_pages": 46
    },
    "report_filename": "CCCS-010 PPCR v1.0.pdf",
    "report_keywords": {
      "asymmetric_crypto": {},
      "cc_cert_id": {},
      "cc_claims": {},
      "cc_protection_profile_id": {},
      "cc_sar": {
        "ACE": {
          "ACE_CCL": 1,
          "ACE_CCO.1": 1,
          "ACE_ECD": 1,
          "ACE_INT": 1,
          "ACE_MCO": 1,
          "ACE_OBJ": 1,
          "ACE_REQ": 1,
          "ACE_SPD": 1
        },
        "APE": {
          "APE_ECD": 1,
          "APE_ECD.1": 1,
          "APE_INT": 1,
          "APE_INT.1": 1,
          "APE_OBJ": 1,
          "APE_OBJ.2": 1,
          "APE_REQ": 1,
          "APE_REQ.2": 1,
          "APE_SPD": 1,
          "APE_SPD.1": 1
        }
      },
      "cc_security_level": {},
      "cc_sfr": {},
      "certification_process": {},
      "cipher_mode": {},
      "cplc_data": {},
      "crypto_engine": {},
      "crypto_library": {},
      "crypto_protocol": {
        "VPN": {
          "VPN": 23
        }
      },
      "crypto_scheme": {},
      "device_model": {},
      "ecc_curve": {},
      "eval_facility": {
        "Lightship": {
          "Lightship Security": 4
        }
      },
      "hash_function": {},
      "ic_data_group": {},
      "javacard_api_const": {},
      "javacard_packages": {},
      "javacard_version": {},
      "os_name": {},
      "pq_crypto": {},
      "randomness": {},
      "side_channel_analysis": {},
      "standard_id": {
        "ISO": {
          "ISO/IEC 17025": 2
        }
      },
      "symmetric_crypto": {},
      "technical_report_id": {},
      "tee_name": {},
      "tls_cipher_suite": {},
      "vendor": {},
      "vulnerability": {}
    },
    "report_metadata": {
      "/Author": "",
      "/CreationDate": "D:20211222153509-05\u002700\u0027",
      "/Creator": "",
      "/Keywords": "",
      "/ModDate": "D:20211222153558-05\u002700\u0027",
      "/Producer": "Foxit PDF Editor Printer Version 11.0.1.4344",
      "/Subject": "",
      "/Title": "",
      "pdf_file_size_bytes": 374831,
      "pdf_hyperlinks": {
        "_type": "Set",
        "elements": [
          "mailto:[email protected]"
        ]
      },
      "pdf_is_encrypted": false,
      "pdf_number_of_pages": 10
    }
  },
  "scheme_metadata": {
    "cc_version": "3.1",
    "pp_short_name": "MOD_IPS_V1.0",
    "pp_sponsor_id": "NIAP",
    "pp_transition": null,
    "predecessor": "EP_IPS_V2.11",
    "source_scheme": "US",
    "successor": null
  },
  "state": {
    "_type": "sec_certs.sample.protection_profile.ProtectionProfile.InternalState",
    "pp": {
      "_type": "sec_certs.sample.document_state.DocumentState",
      "convert_ok": true,
      "download_ok": true,
      "extract_ok": true,
      "json_hash": "d926643c17d2fada5acdae7db39b4c914f20d3346c30d89816aeca96ae3e02d3",
      "source_hash": "e8014c84cb419bbac326fc0775e251cf5e93ab0361f3fd862fcf7bdadb68b86e",
      "txt_hash": "e58bd98278bf3825af94ff145634fac8e9c0019e7b40bfdffa4b9d2b5ee4ddf6"
    },
    "report": {
      "_type": "sec_certs.sample.document_state.DocumentState",
      "convert_ok": true,
      "download_ok": true,
      "extract_ok": true,
      "json_hash": "097bc9ba06932810e2e13654222f3b8c458548feb3bb7911c605400ff53529da",
      "source_hash": "916718b27962379e4862f67b858a3505a5c070a1a6daa5449985f0d578fd8110",
      "txt_hash": "c4064bbbc6e6a2b74debf8d88f62a7e4cb881828b246be5d0308e288433abf50"
    }
  },
  "web_data": {
    "_type": "sec_certs.sample.protection_profile.ProtectionProfile.WebData",
    "category": "Boundary Protection Devices and Systems",
    "is_collaborative": false,
    "maintenances": [],
    "name": "PP-Module for Intrusion Prevention Systems (IPS), Version 1.0",
    "not_valid_after": null,
    "not_valid_before": "2021-05-11",
    "pp_link": "https://www.commoncriteriaportal.org/nfs/ccpfiles/files/ppfiles/MOD_IPS_v1.0.pdf",
    "report_link": "https://www.commoncriteriaportal.org/nfs/ccpfiles/files/ppfiles/CCCS-010 PPCR v1.0.pdf",
    "scheme": "US",
    "security_level": {
      "_type": "Set",
      "elements": [
        "EAL1"
      ]
    },
    "status": "active",
    "version": "1.0"
  }
}